import { useEffect } from "react";
import { useAppContext } from "../_context";
import Login from "../components/top-level/login";
import { useNavigate } from "react-router-dom";
export function _Login() {
  const navigate = useNavigate();

  const { LoginOrRegister } = useAppContext();

  useEffect(() => {
    sessionStorage.clear();
  }, []);

  const handleLogin = async ({ mobile }) => {
    const users = await LoginOrRegister({ mobile });
    sessionStorage.setItem("userId", users.response.id);
    if (users.isRegistered) {
      //for Auth Guard
      sessionStorage.setItem("currentPath", "/seat-limit");
      navigate("/seat-limit");
    } else {
      //for Auth Guard
      sessionStorage.setItem("currentPath", "/booking");
      navigate("/booking");
    }
  };
  return <Login onSubmit={handleLogin} />;
}
